/*
  Copyright (C) 2003  Taiga Yonekura, taiga@col.hi-ho.ne.jp

  For more information about this appliation please look at:
   http://www.pat.hi-ho.ne.jp/kyonekura

  This program is free software; you can redistribute it and/or
  modify it under the terms of the GNU General Public License
  as published by the Free Software Foundation; either version 2
  of the License, or (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

*/

#ifndef FIREWORKS_H
#define FIREWORKS_H

#include <qpainter.h>
#include <qcolor.h>

class CFireWorks  
{
public:
	void reset(void);
	void dispFire(QPainter *paint);
	CFireWorks(int width,int heigth);
	CFireWorks();
	virtual ~CFireWorks();

private:
	QColor dispFireFlower(int num, QPainter *paint, 
			      QColor col, int *array);
	void goUp();
	void makePosTable(int r,int divide,int *array);
	void playShotSound();
	void playExpandSound();
	int start_x;
	int start_y;
	int center_x,center_y;
	int posx,posy;
	int life;
	int width,heigth;
	
	// array[0][0]:changecnt ,array[0][1]:
	int posTable1[11][2];
	int posTable2[16][2];
	int posTable3[21][2];
	int posTable4[31][2];
	
	QColor color1,color2,color3,color4;
	
	int status;
};

#endif 

